License
Retrieve license information
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
OK
application/json
api_versionstringOptional
API version of PortSIP PBX.
product_namestringOptionalExample:
Product name of PortSIP PBX.
PortSIP PBXmax_sim_callsinteger · int32Optional
Max Simultaneous Calls allowed for this version.
license_keystringOptional
License key of PortSIP PBX.
company_namestringOptional
Company name of license user.
contact_emailstringOptional
Contact email of license user.
4XX
Error
get/license
GET /api/license HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"api_version": "text",
"product_name": "PortSIP PBX",
"max_sim_calls": 1,
"license_key": "text",
"company_name": "text",
"contact_email": "text"
}Update license
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
license_keystringRequired
License key of PortSIP PBX.
Responses
200
OK
No content
4XX
Error
post/license
POST /api/license HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 22
{
"license_key": "text"
}No content
Was this helpful?